libglom-1.26 1.28.5

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Glom::GroupInfo Class Reference
Inheritance diagram for Glom::GroupInfo:
[legend]
Collaboration diagram for Glom::GroupInfo:
[legend]

## Public Types
typedef std::map< Glib::ustring, Privileges > | type_map_table_privileges
Public Types inherited from Glom::TranslatableItem
enum | enumTranslatableItemType { TRANSLATABLE_TYPE_INVALID, TRANSLATABLE_TYPE_FIELD, TRANSLATABLE_TYPE_RELATIONSHIP, TRANSLATABLE_TYPE_LAYOUT_ITEM, TRANSLATABLE_TYPE_CUSTOM_TITLE, TRANSLATABLE_TYPE_PRINT_LAYOUT, TRANSLATABLE_TYPE_REPORT, TRANSLATABLE_TYPE_TABLE, TRANSLATABLE_TYPE_BUTTON, TRANSLATABLE_TYPE_TEXTOBJECT, TRANSLATABLE_TYPE_IMAGEOBJECT, TRANSLATABLE_TYPE_CHOICEVALUE, TRANSLATABLE_TYPE_DATABASE_TITLE, TRANSLATABLE_TYPE_STATIC_TEXT }
typedef std::map< Glib::ustring, Glib::ustring > | type_map_locale_to_translations

## Public Member Functions
| GroupInfo ()
| GroupInfo (const GroupInfo& src)
virtual | ~GroupInfo ()
GroupInfo& | operator= (const GroupInfo& src)
bool | operator== (const GroupInfo& src) const
bool | operator!= (const GroupInfo& src) const
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem ()
| TranslatableItem (const TranslatableItem& src)
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src)
bool | operator== (const TranslatableItem& src) const
bool | operator!= (const TranslatableItem& src) const
virtual void | set_name (const Glib::ustring& name)
| Set the non-translated identifier name. More...
virtual Glib::ustring | get_name () const
| Get the non-translated identifier name. More...
bool | get_name_not_empty () const
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const
virtual Glib::ustring | get_title (const Glib::ustring& locale) const
| Get the title's translation for the specified locale, falling back to the original text if there is no translation. More...
virtual Glib::ustring | get_title_original () const
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original. More...
void | set_title (const Glib::ustring& title, const Glib::ustring& locale)
| Set the title's translation for the specified locale. More...
void | set_title_original (const Glib::ustring& title)
| Set the title's original (non-translated, usually English) text. More...
void | clear_title_in_all_locales ()
| Clear the original title and any translations of the title. More...
bool | get_has_translations () const
enumTranslatableItemType | get_translatable_item_type () const

## Public Attributes
bool | m_developer
type_map_table_privileges | m_map_privileges

## Additional Inherited Members
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type)
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type)
| The non-translated name is used for the context in gettext .po files. More...
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Member Typedef Documentation

typedef std::map<Glib::ustring, Privileges> Glom::GroupInfo::type_map_table_privileges

## Constructor & Destructor Documentation

Glom::GroupInfo::GroupInfo | ( |  | ) |

Glom::GroupInfo::GroupInfo | ( | const GroupInfo& | src | ) |

virtual Glom::GroupInfo::~GroupInfo | ( |  | ) |
| virtual

## Member Function Documentation

bool Glom::GroupInfo::operator!= | ( | const GroupInfo& | src | ) | const

GroupInfo& Glom::GroupInfo::operator= | ( | const GroupInfo& | src | ) |

bool Glom::GroupInfo::operator== | ( | const GroupInfo& | src | ) | const

## Member Data Documentation

bool Glom::GroupInfo::m_developer

type_map_table_privileges Glom::GroupInfo::m_map_privileges

The documentation for this class was generated from the following file:

- libglom/data_structure/groupinfo.h